import { Node } from "@typescript-eslint/typescript-estree/dist/ts-estree/ts-estree";
export declare class EnterExitTraverser {
    private options;
    constructor(options: {
        enter: (statement: Node, parent?: Node, property?: string) => "stop" | "skipSiblings" | "ignore" | void;
        exit?: (statement: Node, parent?: Node, property?: string) => void;
    });
    private isValidNode;
    private getVisitorKeysForNode;
    traverse(node: Node, parent?: Node, property?: keyof Node): "stop" | "skipSiblings" | undefined;
}
